Skip to main content
Endpoint:
This endpoint shares the same handler and request body as Create Payment Link (POST /products/payment-link/create). Both create a generic_link product.

Authorization

string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Request Body

string
required
Generic payment link product name.
integer
Product price amount.
string
Generic payment link product description.
string
URL where the customer will be redirected after completing payment.
string
Cover image for the product.
string | datetime
Payment link expiration date in ISO 8601 format.
integer
Maximum purchase limit.
string
Additional notes for the payment link.
integer
Tax amount applied to the product.

Response

Successful Response

Main Structure (Root)

integer
Status code from API.
string
Status message that describes the status code.
object
The created generic payment link product data.

data Structure (Object)

string
Unique identifier of the generic payment link product.
Public URL of the created generic payment link product.

Errors

object
Returned when the request body fails validation: { "statusCode": 400, "messages": "Validation Error" }.
object
Returned when a product with the same identifier already exists: { "statusCode": 409, "messages": "already exist" }.